
<%@ page import="java.util.*" %>
<%@ page import="com.cloudstore.dev.api.bean.MessageType" %>
<%@ page import="com.cloudstore.dev.api.bean.MessageBean" %>
<%@ page import="com.cloudstore.dev.api.util.Util_Message" %>
<%@ page import="java.io.IOException" %>
<%@ page language="java" contentType="text/html; charset=UTF-8" %>


<%
    MessageType messageType = MessageType.newInstance(1154); // 消息来源（见文档第四点补充 必填）
    Set<String> userIdList = new HashSet<>(); // 接收人id 必填
    userIdList.add("640");
    String title = "标题1154"; // 标题
    String context = "内容1154"; // 内容
    String linkUrl = "/123"; // PC端链接
    String linkMobileUrl = "/123"; // 移动端链接
    try {
        MessageBean messageBean = Util_Message.createMessage(messageType, userIdList, title, context, linkUrl, linkMobileUrl);
        messageBean.setCreater(1);// 创建人id
        //message.setBizState("0");// 需要修改消息为已处理等状态时传入,表示消息最初状态为待处理
        //messageBean.setTargetId("121|22"); //消息来源code +“|”+业务id需要修改消息为已处理等状态时传入
        Util_Message.store(messageBean);
        out.print(1122);
    } catch (IOException e) {
        out.print(e.getMessage());
        e.printStackTrace();
    }
%>
<%!

%>